org.springframework.data.mapping.model

## Class InternalEntityInstantiatorFactory

- java.lang.Object
- - org.springframework.data.mapping.model.InternalEntityInstantiatorFactory

Deprecated.
since 2.3 as it's only a bridge from the legacy types towards the new, package-protected implementation.

    @Deprecated
    public class InternalEntityInstantiatorFactory
    extends Object

Factory to expose the new package-protected `EntityInstantiator` implementations for the legacy types. To be removed in 2.4.

Since:
  2.3
Author:
  Oliver Drotbohm

### Constructor Summary

Constructors
Constructor and Description
`InternalEntityInstantiatorFactory()` Deprecated.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static EntityInstantiator` `getClassGeneratingEntityInstantiator()` Deprecated.
`static EntityInstantiator` `getKotlinClassGeneratingEntityInstantiator()` Deprecated.
`static EntityInstantiator` `getReflectionEntityInstantiator()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InternalEntityInstantiatorFactory

    public InternalEntityInstantiatorFactory()

Deprecated.

### Method Detail

#### getClassGeneratingEntityInstantiator

    public static EntityInstantiator getClassGeneratingEntityInstantiator()

Deprecated.

#### getKotlinClassGeneratingEntityInstantiator

    public static EntityInstantiator getKotlinClassGeneratingEntityInstantiator()

Deprecated.

#### getReflectionEntityInstantiator

    public static EntityInstantiator getReflectionEntityInstantiator()

Deprecated.